[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# DateTimeToJulianDate

Converts a TDateTime value to a Julian date representation

## Declaration

Source position: dateutil.inc line 413

`function DateTimeToJulianDate(`
`const AValue: TDateTime`
`):Double;`

## Arguments

`AValue` |  | TDateTime value to convert to Julian representation

## Function result

Julian representation of AValue.

## Description

DateTimeToJulianDate converts the AValue date/time indication to a Julian (as opposed to Gregorian) date.

## See also

JulianDateToDateTime |  | Convert a Julian date representation to a TDateTime value.
TryJulianDateToDateTime |  | Convert a Julian date representation to a TDateTime value.
DateTimeToModifiedJulianDate |  | Convert a TDateTime value to a modified Julian date representation
TryModifiedJulianDateToDateTime |  | Convert a modified Julian date representation to a TDateTime value.